aptly (1.6.2-3) unstable; urgency=medium

  [ Sébastien Delafond ]
  * tests: disable t04_mirror/create/CreateMirror18Test (Closes: #1135740)
  * tests: disable t12_api/gpg/GPGAPITestAddKey (Closes: #1135672)
  * d/control: bump-up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Tue, 05 May 2026 18:14:44 +0200

aptly (1.6.2-2) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Remove Built-Using
  * Mark patches as "Forwarded: not-needed"

 -- Sebastien Delafond <seb@debian.org>  Fri, 21 Nov 2025 15:46:51 +0100

aptly (1.6.2-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * d/watch: v5
  * Bump up Standards-Version
  * Remove +ds suffix
  * Add Static-Built-Using
  * New upstream version 1.6.2

 -- Sebastien Delafond <seb@debian.org>  Wed, 24 Sep 2025 06:19:54 +0200

aptly (1.6.1+ds1-3) unstable; urgency=medium

  [ Sébastien Delafond ]
  * tests: declare needs-internet for system-test
  * tests: disable unit test TestVerifyClearsigned & system test
    CreateMirror31Test (Closes: #1108828)

 -- Sebastien Delafond <seb@debian.org>  Tue, 08 Jul 2025 14:12:52 +0200

aptly (1.6.1+ds1-2) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Do not re-publish unchanged files to S3 every single time (Closes: #1104299)

 -- Sebastien Delafond <seb@debian.org>  Mon, 28 Apr 2025 15:38:43 +0200

aptly (1.6.1+ds1-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 1.6.1

 -- Sebastien Delafond <seb@debian.org>  Mon, 24 Feb 2025 09:04:35 +0100

aptly (1.6.0+ds1-8) unstable; urgency=medium

  [ Sébastien Delafond ]
  * tests: disable riscv64-flaky EditRepo4Test

 -- Sebastien Delafond <seb@debian.org>  Fri, 21 Feb 2025 06:54:18 +0100

aptly (1.6.0+ds1-7) unstable; urgency=medium

  [ Sébastien Delafond ]
  * tests: clean way to disable single tests, disable s390-flaky CreateMirror35Test

 -- Sebastien Delafond <seb@debian.org>  Thu, 20 Feb 2025 07:26:41 +0100

aptly (1.6.0+ds1-6) unstable; urgency=medium

  [ Sébastien Delafond ]
  * tests: disable system-test's etcd tests as the corresponding fixture is also arch-specific

 -- Sebastien Delafond <seb@debian.org>  Wed, 19 Feb 2025 14:02:19 +0100

aptly (1.6.0+ds1-5) unstable; urgency=medium

  [ Sébastien Delafond ]
  * tests: do not use upstream's etcd installer

 -- Sebastien Delafond <seb@debian.org>  Wed, 19 Feb 2025 07:20:44 +0100

aptly (1.6.0+ds1-4) unstable; urgency=medium

  [ Sébastien Delafond ]
  * postrm: remove aptly-api user and home directory on purge
  * tests: use extensive coverage from make's test and system-test

 -- Sebastien Delafond <seb@debian.org>  Tue, 18 Feb 2025 10:36:13 +0100

aptly (1.6.0+ds1-3) unstable; urgency=medium

  [ Sébastien Delafond ]
  * aptly.conf: fix s3 example

 -- Sebastien Delafond <seb@debian.org>  Mon, 13 Jan 2025 14:51:29 +0100

aptly (1.6.0+ds1-2) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Document disabled swagger in default config file
  * Rediff patches: swagger references in man page

 -- Sebastien Delafond <seb@debian.org>  Mon, 30 Dec 2024 11:11:07 +0100

aptly (1.6.0+ds1-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Official 1.6 release

 -- Sebastien Delafond <seb@debian.org>  Fri, 27 Dec 2024 14:23:29 +0100

aptly (1.6.0+ds1~beta3-1) experimental; urgency=medium

  [ Sébastien Delafond ]
  * Latest upstream version

 -- Sebastien Delafond <seb@debian.org>  Wed, 11 Dec 2024 18:16:19 +0100

aptly (1.6.0+ds1~beta2-1) experimental; urgency=medium

  [ Sébastien Delafond ]
  * Latest upstream version

  [ André Roth ]
  * set systemd service file limit to 32768

 -- Sebastien Delafond <seb@debian.org>  Thu, 21 Nov 2024 16:08:05 +0100

aptly (1.6.0+ds1~beta1-1) experimental; urgency=medium

  [ Sébastien Delafond ]
  * Latest upstream version
  * Disable "use new azure-sdk"

 -- Sebastien Delafond <seb@debian.org>  Sun, 17 Nov 2024 18:52:06 +0100

aptly (1.6.0+ds1~alpha5-1) experimental; urgency=medium

  * Sort out dependencies on gpg*
  * Reduce diff with upstream some more

 -- Sebastien Delafond <seb@debian.org>  Sun, 17 Nov 2024 15:59:23 +0100

aptly (1.6.0+ds1~alpha4-1) experimental; urgency=medium

  [ Sébastien Delafond ]
  * Remove build-dep on git
  * Adjust systemd unit for aptly-api

 -- Sebastien Delafond <seb@debian.org>  Sun, 17 Nov 2024 14:51:49 +0100

aptly (1.6.0+ds1~alpha3-1) experimental; urgency=medium

  [ Sébastien Delafond ]
  * Latest upstream version
  * Remove useless maintainer scripts

 -- Sebastien Delafond <seb@debian.org>  Sun, 17 Nov 2024 07:50:06 +0100

aptly (1.6.0+ds1~alpha2-1) experimental; urgency=medium

  [ Sébastien Delafond ]
  * Latest upstream version

 -- Sebastien Delafond <seb@debian.org>  Sat, 16 Nov 2024 14:42:10 +0100

aptly (1.6.0+ds1~alpha1-2) experimental; urgency=medium

  [ Sébastien Delafond ]
  * Add zsh completion
  * aptly-api: revert arch:all, so mv_conffile does the right thing

 -- Sebastien Delafond <seb@debian.org>  Wed, 16 Oct 2024 09:10:05 +0200

aptly (1.6.0+ds1~alpha1-1) experimental; urgency=medium

  [ Sébastien Delafond ]
  * d/patches: remove old patch, and disable swagger support
  * d/control: bump up Standards-Version
  * Adjust packaging for 1.6.0~alpha1

 -- Sebastien Delafond <seb@debian.org>  Tue, 15 Oct 2024 14:40:57 +0200

aptly (1.5.0+ds1-2) unstable; urgency=medium

  [ Shengjing Zhu ]
  * Replace golang-gopkg-cheggaaa-pb.v1-dev with
    golang-github-cheggaaa-pb-dev (Closes: #1050900)

 -- Sebastien Delafond <seb@debian.org>  Mon, 04 Sep 2023 08:49:36 +0200

aptly (1.5.0+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #1022721), including fix for "Order of
    fields in Packages/Sources is unpredictable" (Closes: #907121).

 -- Roland Mas <lolando@debian.org>  Tue, 31 Jan 2023 14:47:04 +0100

aptly (1.4.0+ds1-7) unstable; urgency=medium

  * Team upload.
  * Add support for zstd compression (Closes: #1010465)

 -- Anton Gladky <gladk@debian.org>  Tue, 17 May 2022 22:42:29 +0200

aptly (1.4.0+ds1-6) unstable; urgency=medium

  * Conflict on gpgv1 (Closes: #990821)

 -- Sebastien Delafond <seb@debian.org>  Thu, 04 Nov 2021 10:24:53 +0100

aptly (1.4.0+ds1-5) unstable; urgency=medium

  * Conflict on gnupg1 (Closes: #990821)

 -- Sebastien Delafond <seb@debian.org>  Thu, 14 Oct 2021 18:43:04 +0200

aptly (1.4.0+ds1-4) unstable; urgency=medium

  * Install correct bash completion snippet (Closes: #984979)

 -- Sebastien Delafond <seb@debian.org>  Thu, 11 Mar 2021 15:20:57 +0100

aptly (1.4.0+ds1-3) unstable; urgency=medium

  * Fix s3 etag issue (Closes: #983877)
  * Bump-up d/watch version
  * Bump-up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Wed, 03 Mar 2021 10:50:51 +0100

aptly (1.4.0+ds1-2) unstable; urgency=medium

  * Use pipeline from salsa-ci-team
  * Allow reprotest failure
  * Pass version from d/rules (Closes: #968585)

 -- Sebastien Delafond <seb@debian.org>  Fri, 21 Aug 2020 10:13:44 +0200

aptly (1.4.0+ds1-1) unstable; urgency=medium

  * New upstream version 1.4.0+ds1
  * Rediff patches
  * Depend on gnupg 2

 -- Sebastien Delafond <seb@debian.org>  Sun, 22 Dec 2019 15:16:25 +0100

aptly (1.3.0+ds1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Rename obsolete path debian/tests/control.autodep8 to debian/tests/control.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Sébastien Delafond ]
  * Bump up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Sun, 22 Dec 2019 14:10:19 +0100

aptly (1.3.0+ds1-3) unstable; urgency=medium

  * Build-Depend on golang-golang-x-tools-dev instead of golang-go.tools (Closes: #945884)
  * Lintian fix

 -- Sebastien Delafond <seb@debian.org>  Sat, 21 Dec 2019 10:29:09 +0100

aptly (1.3.0+ds1-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove myself from uploaders.

 -- Alexandre Viau <aviau@debian.org>  Sun, 15 Sep 2019 19:27:47 -0400

aptly (1.3.0+ds1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to fix DB backwards compatibility (Closes: #911924)
  * Fix struct field tag typo
  * Update debian/NEWS about DB compatibility

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 16 Apr 2019 00:18:23 +0800

aptly (1.3.0+ds1-2.1) unstable; urgency=medium

  [ Shengjing Zhu ]
  * Non-maintainer upload.
  * Add patch to fix UUID struct field not encoded in msgpack (Closes: #923866)

  [ Tobias Frost ]
  * Prepare upload.

 -- Tobias Frost <tobi@debian.org>  Fri, 05 Apr 2019 17:19:14 +0200

aptly (1.3.0+ds1-2) unstable; urgency=medium

  * Add NEWS to warn about database compatibility.

 -- Alexandre Viau <aviau@debian.org>  Fri, 26 Oct 2018 13:22:38 -0400

aptly (1.3.0+ds1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Alexandre Viau ]
  * d/watch: Append +ds suffix.
  * d/copyright: ignore vendor/*. (Closes: #902128)
  * d/copyright: remove vendor/* sections.
  * d/copyright: MIT -> Expat.
  * d/control: add vendor/* build dependencies.
  * Patch: Use Debian's uuid package.
  * Patch: Use Debian's lzma package.
  * d/rules: remove trailing whitespace.

 -- Alexandre Viau <aviau@debian.org>  Mon, 15 Oct 2018 11:54:03 -0400

aptly (1.3.0-6) unstable; urgency=medium

  * Combine autodep8 and autopkgtest.

 -- Alexandre Viau <aviau@debian.org>  Fri, 29 Jun 2018 18:11:41 -0400

aptly (1.3.0-5) unstable; urgency=medium

  * Fix syntax-error-in-dep5-copyright.
  * Fix unnecessary-testsuite-autopkgtest-field.
  * Fix broken autopkgtest.
  * Depend on gpgv1.

 -- Alexandre Viau <aviau@debian.org>  Tue, 26 Jun 2018 23:01:36 -0400

aptly (1.3.0-4) unstable; urgency=medium

  * Document #902128 in debian/copyright
  * Point debian/watch to new git repo on GitHub
  * Add simple autopkgtest
  * Add debian/.gitlab-ci.yml
  * Depend on gnupg1 (Closes: #902419)

 -- Sebastien Delafond <seb@debian.org>  Tue, 26 Jun 2018 14:24:34 +0200

aptly (1.3.0-3) unstable; urgency=medium

  * Create aptly-api package. (Closes: #902032)

 -- Alexandre Viau <aviau@debian.org>  Fri, 22 Jun 2018 13:51:50 -0400

aptly (1.3.0-2) unstable; urgency=medium

  * Team upload, many thanks to Alexandre Viau for this work
  * Switch to dh-golang. (Closes: #902038)
  * Fix vcs-field-not-canonical.
  * Fix insecure-copyright-format-uri.

 -- Sebastien Delafond <seb@debian.org>  Fri, 22 Jun 2018 13:53:11 +0200

aptly (1.3.0-1) unstable; urgency=medium

  * Fix copyright
  * New upstream version 1.3.0

 -- Sebastien Delafond <seb@debian.org>  Thu, 21 Jun 2018 15:14:57 +0200

aptly (1.2.0-4) unstable; urgency=medium

  * Enable Built-Using in debian/control (thanks M. Staperberg)

 -- Sebastien Delafond <seb@debian.org>  Tue, 06 Mar 2018 10:10:42 +0100

aptly (1.2.0-3) unstable; urgency=medium

  * Switch to DEP 14
  * Update Vcs-* to point to salsa.d.o

 -- Sebastien Delafond <seb@debian.org>  Fri, 16 Feb 2018 17:02:25 +0100

aptly (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * Build-Depend on golang-any, not golang
  * Set XS-Go-Import-Path

 -- Michael Stapelberg <stapelberg@debian.org>  Sat, 10 Feb 2018 18:41:37 +0100

aptly (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0

 -- Sebastien Delafond <seb@debian.org>  Wed, 03 Jan 2018 13:43:30 +0100

aptly (1.1.1-2) unstable; urgency=medium

  * Support both uncompressed control.tar, and xz-compressed
    control.tar.xz. Thanks to Boyuan Yang for the patch (Closes: 879718)

 -- Sebastien Delafond <seb@debian.org>  Thu, 02 Nov 2017 13:23:29 +0100

aptly (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1
  * Use bash-completion snippet from upstream
  * Bump up Standards-Version
  * Update debian/copyright

 -- Sebastien Delafond <seb@debian.org>  Thu, 02 Nov 2017 09:03:23 +0100

aptly (1.0.1-1) unstable; urgency=medium

  * Imported Upstream version 1.0.1
  * Update debian/copyright
  * Adapt debian/rules
  * Update Vcs-Git
  * Bump-up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Tue, 18 Jul 2017 11:53:29 +0200

aptly (0.9.7-1) unstable; urgency=medium

  * Imported new upstream version 0.9.7
  * Add new licenses and copyrights info

 -- Sebastien Delafond <seb@debian.org>  Tue, 24 May 2016 09:17:08 +0200

aptly (0.9.6-1) unstable; urgency=medium

  * Import new upstream version 0.9.6
  * Add dependency on xz-utils
  * Licenses and copyrights

 -- Sebastien Delafond <seb@debian.org>  Wed, 10 Feb 2016 18:28:51 +0100

aptly (0.9.5-2) unstable; urgency=medium

  * Remove empty component in GOPATH (Closes: #793838)

  [ Sebastien Delafond ]

 -- Sebastien Delafond <seb@debian.org>  Sun, 16 Aug 2015 18:42:22 +0200

aptly (0.9.5-1) unstable; urgency=medium

  * Imported Upstream version 0.9.5
  * Up-to-date bash completion

 -- Sebastien Delafond <seb@debian.org>  Fri, 15 May 2015 10:46:51 +0200

aptly (0.9.1-1) unstable; urgency=medium

  * Imported Upstream version 0.9.1
  * Document licenses and copyrights for new dependencies
  * Suggest graphviz
  * Proper name for bash-completion file
  * Bump-up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Sat, 02 May 2015 12:57:16 +0200

aptly (0.8-3) unstable; urgency=medium

  * Correct Vcs-Browser entry (Closes: #764622)
  * Correct dependency from "gpg" to "gnupg" (Closes: #764619)

 -- Sebastien Delafond <seb@debian.org>  Thu, 09 Oct 2014 18:41:38 +0200

aptly (0.8-2) unstable; urgency=medium

  * Add missing dependencies on bzip2, gpg and gpgv

 -- Sebastien Delafond <seb@debian.org>  Thu, 09 Oct 2014 11:15:21 +0200

aptly (0.8-1) unstable; urgency=medium

  * Imported Upstream version 0.8
  * Document new copyrights and licenses
  * Add bash completion snippet
  * Reference full paths in debian/copyright, and remove unused
    references, so lintian does not complain

 -- Sebastien Delafond <seb@debian.org>  Sat, 04 Oct 2014 17:46:24 +0200

aptly (0.7.1-1) unstable; urgency=medium

  * Imported Upstream version 0.7.1
  * Add copyright information for new libraries

 -- Sebastien Delafond <seb@debian.org>  Wed, 10 Sep 2014 10:03:27 +0200

aptly (0.5-5) unstable; urgency=medium

  * Turn off verbose mode
  * Correct Vcs-* information
  * gocov is licensed MIT, not BSD-3
  * Add missing MIT license text

 -- Sebastien Delafond <seb@debian.org>  Tue, 09 Sep 2014 09:20:40 +0200

aptly (0.5-4) unstable; urgency=medium

  * Collect licenses by going over files one by one
  * Use packaged golang-go.tools

 -- Sebastien Delafond <seb@debian.org>  Thu, 10 Jul 2014 00:49:09 +0200

aptly (0.5-3) unstable; urgency=low

  * Licensing:
    - goleveldb is BSD-2, not BSD-3
    - _vendor/src/code.google.com/p/gographviz/scanner/scanner is BSD-3,
      copyright 2009 The Go Authors

 -- Sebastien Delafond <seb@debian.org>  Wed, 28 May 2014 10:04:01 +0200

aptly (0.5-2) unstable; urgency=low

  * Go interpreter not needed at runtime

 -- Sebastien Delafond <seb@debian.org>  Fri, 02 May 2014 12:04:02 +0200

aptly (0.5-1) unstable; urgency=low

  * Initial release (Closes: #746343)

 -- Sebastien Delafond <seb@debian.org>  Tue, 29 Apr 2014 15:47:31 +0200
